This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

PATCH: Update release notes for *-*-freebsd*


As committed on mainline, then moved to the 3.4 branch for pending release.

	* gcc/doc/install.texi (*-*-freebsd*): Update target information.

Index: gcc/doc/install.texi
===================================================================
RCS file: /cvs/gcc/gcc/gcc/doc/install.texi,v
retrieving revision 1.267
diff -c -r1.267 install.texi
*** gcc/doc/install.texi	29 Feb 2004 20:30:33 -0000	1.267
--- gcc/doc/install.texi	2 Mar 2004 15:05:07 -0000
***************
*** 2513,2524 ****
  @end html
  @heading @anchor{*-*-freebsd*}*-*-freebsd*
  
! The version of binutils installed in @file{/usr/bin} is known to work unless
! otherwise specified in any per-architecture notes.  However, binutils
! 2.12.1 or greater is known to improve overall testsuite results.
  
  Support for FreeBSD 1 was discontinued in GCC 3.2.
  
  For FreeBSD 2 or any mutant a.out versions of FreeBSD 3: All
  configuration support and files as shipped with GCC 2.95 are still in
  place.  FreeBSD 2.2.7 has been known to bootstrap completely; however,
--- 2513,2527 ----
  @end html
  @heading @anchor{*-*-freebsd*}*-*-freebsd*
  
! The version of binutils installed in @file{/usr/bin} probably works with
! this release of GCC.  However, on FreeBSD 4, bootstrapping against the
! latest FSF binutils is known to improve overall testsuite results; and,
! on FreeBSD/alpha, using binutils 2.14 or later is required to build libjava.
  
  Support for FreeBSD 1 was discontinued in GCC 3.2.
  
+ Support for FreeBSD 2 will be discontinued after GCC 3.4.  The
+ following was true for GCC 3.1 but the current status is unknown.
  For FreeBSD 2 or any mutant a.out versions of FreeBSD 3: All
  configuration support and files as shipped with GCC 2.95 are still in
  place.  FreeBSD 2.2.7 has been known to bootstrap completely; however,
***************
*** 2535,2543 ****
  particular, @option{--enable-threads} is now configured by default.
  However, as a general user, do not attempt to replace the system
  compiler with this release.  Known to bootstrap and check with good
! results on FreeBSD 4.8-STABLE and 5-CURRENT@.  In the past, known to
  bootstrap and check with good results on FreeBSD 3.0, 3.4, 4.0, 4.2,
! 4.3, 4.4, 4.5-STABLE@.
  
  In principle, @option{--enable-threads} is now compatible with
  @option{--enable-libgcj} on FreeBSD@.  However, it has only been built
--- 2538,2546 ----
  particular, @option{--enable-threads} is now configured by default.
  However, as a general user, do not attempt to replace the system
  compiler with this release.  Known to bootstrap and check with good
! results on FreeBSD 4.9-STABLE and 5-CURRENT@.  In the past, known to
  bootstrap and check with good results on FreeBSD 3.0, 3.4, 4.0, 4.2,
! 4.3, 4.4, 4.5, 4.8-STABLE@.
  
  In principle, @option{--enable-threads} is now compatible with
  @option{--enable-libgcj} on FreeBSD@.  However, it has only been built


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]